ListUsers
/api/v1/usersList or search for users. Can be used to translate an email to a user ID.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/users"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/users"Set OBLIQUE_API_KEY to your API key.
Query parameters
pageSizeinteger (int32)pageTokenstringfilterstringOptional filter for search. The filter supports emails and display name with support for
*wildcards and the case-insensitive~=comparator.email="janedoe@example.com"email="janedoe@example.com" OR email="johndoe@example.com"// matches janedoe@example.com or janedoe@foo.comemail="janedoe@*"// Matches "Jane Doe", "Jane Smith", but not "Smith Jane"displayName = "Jane *"// Case-insensitive, matches "Jane Doe" and "jane doe"displayName ~= "jane *"displayName = "Jane *" OR displayName = "John *" OR displayName = "* Doe"// Search for displayName or emaildisplayName ~= "* doe" OR email ~= "jane@*"showDeletedbooleanIf true, include deleted users in the response.
Response
200ListUsersResponseusersUser[]namestringAssigned by Oblique. Format:
users/{id}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyUsers can only be soft-deleted to preserve logs and history.
displayNamestringrequiredPrimary display name of the user.
emailstringrequiredPrimary email of the user.
secondaryEmailsstring[]Additional emails of the user. These are in addition to the primary email.
titlestringSelf reported role. “VP of Engineering”, “Senior Frontend Engineer”, “Engineering Director, Frontend”.
managerstringOptional manager of the user.
Format:
users/{user}pictureUristringURI for the user’s profile picture. This can either be an “https://” scheme, or an absolute path (/imgs/foo.png).
directReportCountinteger (int32)read-onlyNumber of direct reports to this user.
totalReportCountinteger (int32)read-onlyNumber of total reports to this user.
lastLoginTimestring (date-time)read-onlyThe time the user last logged in. Not set if the user has never logged in.
nextPageTokenstring
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |